<?php
/**************************************************
  CPG Request Info Plugin for Coppermine Photo Gallery
  *************************************************
  Copyright (c) 2007 Thomas Lange <stramm@gmx.net>
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  *************************************************
  Coppermine version: 1.4.14
  Request Info Plugin version: 1.0
  $Revision: 1.0 $
  $Author: stramm $
***************************************************/

//main code
define('IN_COPPERMINE', true);
require('include/mailer.inc.php');
require('include/init.inc.php');

$request_email_body = <<<EOT
Hallo {ADMIN},

{USER_NAME} hat eine Preisanfrage gestellt.
Das Bild, über das er mehr wissen möchte ist: <a href="{IMAGE_LINK}">{IMAGE_LINK}</a>
Du kannst mit ihm über seine Emailadresse <a href="mailto:{EMAIL}">{EMAIL}</a> Kontakt aufnehmen.

{ADMIN}
EOT;

//form sent?
$event = isset($_POST['event']) ? $_POST['event'] : null;
if ($event == 'sent') {
	//now check if the details are valid, if yes, email the admin and tell the user
	//if not, display form again
	$name = isset($_POST['name']) ? $_POST['name'] : null;
	$email = isset($_POST['email']) ? $_POST['email'] : null;
	$name_color = 'white';
	$email_color ='white';

	if ($error = validate_form_set($name)) {
		$name_color = 'red';
	}
	if ($error = validate_form_set($email)) {
		$email_color ='red';
	}

	//if error, then show form again else, send email to admin
	if($error) {
		display_form('Bitte füllen Sie auch die rot markierten Felder aus.');
	} else {
		//send mail to admin
		$title = isset($_REQUEST['title']) ? $_REQUEST['title'] : null;
		$pid = isset($_REQUEST['pid']) ? (int) $_REQUEST['pid'] : null;
		$template_vars = array('{SITE_NAME}' => $CONFIG['gallery_name'],
        '{USER_NAME}' => $name,
        '{EMAIL}' => $email,
        '{PIC_TITLE}' => isset($_REQUEST['title']) ? $_REQUEST['title'] : null,
        '{IMAGE_LINK}' => $CONFIG['ecards_more_pic_target']."displayimage.php?pos=-".$pid,
        '{ADMIN}' => $CONFIG['gallery_name'],
		);
		$mail_body = nl2br(strtr($request_email_body, $template_vars));
		$subject = "Eine Preisanfrage wurde gestellt - ".$CONFIG['gallery_name'];
		cpg_mail($CONFIG['gallery_admin_email'], $subject, $mail_body, 'text/plain', $CONFIG['gallery_name'], $CONFIG['gallery_admin_email'], 1 );

		//display mail sent message

	$win_close = '<a href="javascript:window.close()">Fenster schliessen</a>';
	pageheader('Vielen Dank für Ihre Anfrage');
	starttable('100%', 'Vielen Dank für Ihre Anfrage.', 1);
    msg_box('Ihre Anfrage wurde abgesendet!', 'Wir werden Ihre Anfrage schnellstmöglich bearbeiten und mit Ihnen über Ihre angegebene Emailadresse Kontakt aufnehmen.<br><br><br>Sie können nun dieses '.$win_close.'.');

	endtable();
	pagefooter();
	ob_end_flush();

	}
} else { //form hasn't bveen sent --> display the form
	display_form();
}




//functions

function validate_form_set($element){
	return $error = (!$element) ? true : false;
}


function display_form($error = ''){
	global $CONFIG, $_REQUEST, $name, $email, $name_color, $email_color;

	//get the details (pid, title) from the intermediate image view or the sent form in case of errors
	$title = isset($_REQUEST['title']) ? $_REQUEST['title'] : null;
	$pid = isset($_REQUEST['pid']) ? (int) $_REQUEST['pid'] : null;
	$thumb_url = isset($_REQUEST['thumb_url']) ? $_REQUEST['thumb_url'] : null;
	$thumb_url_absolute = $CONFIG['ecards_more_pic_target']. $thumb_url;
	pageheader('Geben Sie Ihre Daten ein');
	starttable('100%', 'Geben Sie bitte Ihre Daten ein', 3);
	echo <<<EOT
                                    <tr>
                                        <td class="tableh2"><img src="{$thumb_url_absolute}" class="image" border="0" alt="" /></td>
                                        <td class="tableh2" colspan='2'>Ich möchte gerne den Preis dieses Bildes mit der ID <strong>{$pid}</strong> und dem Titel <strong>{$title}</strong> erfahren. Bitte schicken Sie mir die Information an die Email Adresse, die ich im Feld unten eingebe.<br><br><br><span style="color:red;">{$error}</span></td>


                                    </tr>
                                    <tr>
                                        <th class="tableh2">Name, Vorname</th>
                                        <th class="tableh2">Email Adresse</th>
                                        <th class="tableh2"></thd>

                                    </tr>

                                    <tr>
                                        <form action="index.php?file=request/request_form" method="post" name="price">
                                        <td class="tableb" valign="middle" width='40%'>
                                                <input type="text" class="textinput" style="width: 100%; background-color:{$name_color};" name="name" value="{$name}" size="40" />
                                        </td>
                                        <td class="tableb" valign="middle" width='40%'>
                                                <input type="text" class="textinput" style="width: 100%; background-color:{$email_color};" name="email" value="{$email}" size="40" />
										</td>
                                        <td class="tableb" valign="top" width='250'>
                                                <input type="submit" class="button" name="add_ban" value="Anfrage senden" />
                                                <input type="hidden" name="event" value="sent" />
                                                <input type="hidden" name="pid" value="{$pid}" />
                                                <input type="hidden" name="title" value="{$title}" />
                                                <input type="hidden" name="thumb_url" value="{$thumb_url}" />
                                        </td>
                                </form>
                                </tr>
EOT;
	endtable();
	pagefooter();
	ob_end_flush();

}


?>